package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;

public class TestPeople {

    @Test
    public void addTest() {
        //given
        Person person = new Person(123);
        Person person1 = new Person(222);
        ArrayList<Person> people = new ArrayList<>();

        //when
        people.add(person);
        people.add(person1);

        //then
        Assert.assertEquals(2, people.size());
    }

    @Test
    public void findByIdTest() {
        //given
        Person person = new Person(123);
        Person person1 = new Person(000);
        ArrayList <Person> people= new ArrayList<>();
        people.add(person);
        people.add(person1);
        Person expected = person1;

        //when
        //people.findById(000);

        //then
        // Assert.assertEquals(expected, people.findById(000));
    }

    @Test
    public void removeTest1() {
        //given
        Person person = new Person(123, "Arpita");
        Person person1 = new Person(000, "Jae");      //will remove, but not by name :( WHY
        //People people = new People();
        ArrayList<Person> peeps = new ArrayList<>();
        peeps.add(person);
        peeps.add(person1);
        int expected = 1;

        //when
        peeps.remove(person);

        //then
        Assert.assertEquals(expected, peeps.size());
    }

    @Test
    public void removeTest2() {
        //given
        Person person = new Person(123, "A");              //somethings wrong with my People class...
        Person person1 = new Person(000, "J");
        People people = new People();
        ArrayList <Person> peeps = new ArrayList<>();
        peeps.add(person);
        peeps.add(person1);
        int expected = 1;

        //when
        people.removeById(000);

        Assert.assertEquals(expected, peeps.size());
    }
}