package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestStudent {

    @Test
    public void implementationTest() {
        //given and when
        Student student = new Student(123);

        //then
        Assert.assertTrue(student instanceof Learner);
    }
    
    @Test
    public void inheritanceTest() {
        //given and when
        Student student = new Student(123);

        //then
        Assert.assertTrue(student instanceof Person);
    }

    @Test
    public void learnTest() {
        //given
        Student student = new Student(123);

        //when
        student.learn(123);

        //then
        Assert.assertEquals(123, student.getTotalStudyTime(), .001);
    }



}
